libxml++: xmlpp::Attribute Class Reference

libxml++ 2.42.1

Public Member Functions | List of all members
xmlpp::Attribute Class Reference

Represents an XML Node attribute. More...

`#include <libxml++/attribute.h>`

Inheritance diagram for xmlpp::Attribute:
[legend]

## Public Member Functions
| Attribute (_xmlNode * node)
| ~Attribute () override
_xmlAttr * | cobj ()
| Access the underlying libxml implementation. More...
const _xmlAttr * | cobj () const
| Access the underlying libxml implementation. More...
Glib::ustring | get_name () const
| Get the name of this attribute. More...
Glib::ustring | get_value () const
| Get the value of this attribute. More...
void | set_value (const Glib::ustring & value)
| Set the value of this attribute. More...
Public Member Functions inherited from xmlpp::Node
| Node (_xmlNode * node)
| ~Node () override
Element * | add_child (const Glib::ustring & name, const Glib::ustring & ns_prefix=Glib::ustring())
| Add a child element to this node. More...
Element * | add_child (xmlpp::Node * previous_sibling, const Glib::ustring & name, const Glib::ustring & ns_prefix=Glib::ustring())
| Add a child element to this node after the specified existing child node. More...
Element * | add_child_before (xmlpp::Node * next_sibling, const Glib::ustring & name, const Glib::ustring & ns_prefix=Glib::ustring())
| Add a child element to this node before the specified existing child node. More...
Element * | add_child_before_with_new_ns (xmlpp::Node * next_sibling, const Glib::ustring & name, const Glib::ustring & ns_uri, const Glib::ustring & ns_prefix=Glib::ustring())
| Add a child element to this node before the specified existing child node. More...
Element * | add_child_with_new_ns (const Glib::ustring & name, const Glib::ustring & ns_uri, const Glib::ustring & ns_prefix=Glib::ustring())
| Add a child element to this node. More...
Element * | add_child_with_new_ns (xmlpp::Node * previous_sibling, const Glib::ustring & name, const Glib::ustring & ns_uri, const Glib::ustring & ns_prefix=Glib::ustring())
| Add a child element to this node after the specified existing child node. More...
_xmlNode * | cobj ()
| Access the underlying libxml implementation. More...
const _xmlNode * | cobj () const
| Access the underlying libxml implementation. More...
bool | eval_to_boolean (const Glib::ustring & xpath, const PrefixNsMap & namespaces, XPathResultType * result_type=nullptr) const
| Evaluate an XPath expression. More...
bool | eval_to_boolean (const Glib::ustring & xpath, XPathResultType * result_type=nullptr) const
| Evaluate an XPath expression. More...
double | eval_to_number (const Glib::ustring & xpath, const PrefixNsMap & namespaces, XPathResultType * result_type=nullptr) const
| Evaluate an XPath expression. More...
double | eval_to_number (const Glib::ustring & xpath, XPathResultType * result_type=nullptr) const
| Evaluate an XPath expression. More...
Glib::ustring | eval_to_string (const Glib::ustring & xpath, const PrefixNsMap & namespaces, XPathResultType * result_type=nullptr) const
| Evaluate an XPath expression. More...
Glib::ustring | eval_to_string (const Glib::ustring & xpath, XPathResultType * result_type=nullptr) const
| Evaluate an XPath expression. More...
NodeSet | find (const Glib::ustring & xpath) const
| Find nodes from an XPath expression. More...
NodeSet | find (const Glib::ustring & xpath, const PrefixNsMap & namespaces) const
| Find nodes from an XPath expression. More...
NodeList | get_children (const Glib::ustring & name=Glib::ustring())
| Obtain the list of child nodes. More...
const NodeList | get_children (const Glib::ustring & name=Glib::ustring()) const
| Obtain the list of child nodes. More...
Node * | get_first_child (const Glib::ustring & name=Glib::ustring())
| Get the first child of this node. More...
const Node * | get_first_child (const Glib::ustring & name=Glib::ustring()) const
| Get the first child of this node. More...
int | get_line () const
| Discover at what line number this node occurs in the XML file. More...
Glib::ustring | get_name () const
| Get the name of this node. More...
Glib::ustring | get_namespace_prefix () const
| Get the namespace prefix of this node. More...
Glib::ustring | get_namespace_uri () const
| Get the namespace URI of this node. More...
Node * | get_next_sibling ()
| Get the next sibling for this node. More...
const Node * | get_next_sibling () const
| Get the next sibling for this node. More...
Element * | get_parent ()
| Get the parent element for this node. More...
const Element * | get_parent () const
| Get the parent element for this node. More...
Glib::ustring | get_path () const
| Get the XPath of this node. More...
Node * | get_previous_sibling ()
| Get the previous sibling for this node. More...
const Node * | get_previous_sibling () const
| Get the previous sibling for this node . More...
Node * | import_node (const Node * node, bool recursive=true)
| Import node(s) from another document under this node, without affecting the source node. More...
void | remove_child (Node * node)
| Remove the child node. More...
void | set_name (const Glib::ustring & name)
| Set the name of this node. More...
void | set_namespace (const Glib::ustring & ns_prefix)
| Set the namespace prefix used by the node. More...

## Additional Inherited Members
Public Types inherited from xmlpp::Node
typedef std::list< Node * > | NodeList
typedef std::map< Glib::ustring, Glib::ustring > | PrefixNsMap
| A map of namespace prefixes to namespace URIs. More...
Static Public Member Functions inherited from xmlpp::Node
static void | create_wrapper (_xmlNode * node)
| Construct the correct C++ instance for a given libxml C struct instance. More...
static void | free_wrappers (_xmlNode * node)
| Delete the C++ instance for a given libxml C struct instance, and also recursively destroy the C++ instances for any children. More...
Protected Member Functions inherited from xmlpp::Node
_xmlNode * | create_new_child_node (const Glib::ustring & name, const Glib::ustring & ns_prefix)
| Create the C instance ready to be added to the parent node. More...
_xmlNode * | create_new_child_node_with_new_ns (const Glib::ustring & name, const Glib::ustring & ns_uri, const Glib::ustring & ns_prefix)
| Create the C instance ready to be added to the parent node. More...
Protected Member Functions inherited from xmlpp::NonCopyable
| NonCopyable ()
| NonCopyable (const NonCopyable &)=delete
virtual | ~NonCopyable ()
NonCopyable & | operator= (const NonCopyable &)=delete

## Detailed Description

Represents an XML Node attribute.

This will be instantiated by the parser.

## Constructor & Destructor Documentation

## ◆ Attribute()

xmlpp::Attribute::Attribute | ( | _xmlNode * | node | ) |
| explicit

## ◆ ~Attribute()

xmlpp::Attribute::~Attribute | ( |  | ) |
| override

## Member Function Documentation

## ◆ cobj() [1/2]

_xmlAttr * xmlpp::Attribute::cobj | ( |  | ) |

Access the underlying libxml implementation.

If this is an AttributeDeclaration, use AttributeDeclaration::cobj() instead. This method is here for backward compatibility. It may be moved to AttributeNode in the future.

## ◆ cobj() [2/2]

const _xmlAttr * xmlpp::Attribute::cobj | ( |  | ) | const

Access the underlying libxml implementation.

If this is an AttributeDeclaration, use AttributeDeclaration::cobj() instead. This method is here for backward compatibility. It may be moved to AttributeNode in the future.

## ◆ get_name()

Glib::ustring xmlpp::Attribute::get_name | ( |  | ) | const

Get the name of this attribute.

See also Node::get_namespace_prefix() and Node::get_namespace_uri()

Returns
  The attribute's name.

## ◆ get_value()

Glib::ustring xmlpp::Attribute::get_value | ( |  | ) | const

Get the value of this attribute.

Can be used for both an AttributeDeclaration and an AttributeNode.

Returns
  The attribute's value.

## ◆ set_value()

void xmlpp::Attribute::set_value | ( | const Glib::ustring & | value | ) |

Set the value of this attribute.

If this is an AttributeDeclaration, the value will not be changed. This method is here for backward compatibility. It may be moved to AttributeNode in the future.